

function tst_auroc = auroc(Y,Y_gt)
class_auroc = [];
	
	class_negs = @(x) x == -1;
	class_pos = @(x) x == 1;
	
	for c = 1:size(Y,1)
		
		gtlbl = Y_gt(c,:);
		estlbl = Y(c,:);
		
		threshs = linspace(min(estlbl)-1e-10, max(estlbl)+1e-10, 10000);
		negs = sum(class_negs(gtlbl));
		poss = sum(class_pos(gtlbl));
		tprs = [];
		fprs = [];
		for thresh = threshs
			tpr = sum(and(class_pos(gtlbl),estlbl > thresh))/poss;
			fpr = sum(and(class_negs(gtlbl),estlbl > thresh))/negs;
			
			tprs = [tprs;tpr];
			fprs = [fprs;fpr];
		end
		
		class_auroc(c) = -trapz(fprs,tprs); %idxs are switched, invert
%		figure(2); hold all, plot(fprs,tprs)
    
    end
%    class_auroc
tst_auroc = mean(class_auroc);